POST /auth/search
Search Auth
Search auths — composable infra architecture.
Request Body (SearchAuthApiRequest)
| Field | Type | Required | Description |
|---|---|---|---|
search | string | No | — |
filter_department_ids | string[] | No | — |
department_search | string | No | — |
page_size | integer | No | — |
page_offset | integer | No | — |
snapshot_key | string | No | Cache snapshot key for consistent reads across related requests |
Response (ListAuthApiResponse)
| Field | Type | Required | Description |
|---|---|---|---|
actor_name | string | No | Display name of the acting user |
auths | ListAuthApiAuth[] | No | List of auth provider items |
department_filter | ListFilterSection | No | Filter options for departments |
flag_filter | ListFilterSection | No | Filter options for flags in list UI |
settings_filter | ListFilterSection | No | Filter options for settings in list UI |
auth_item_keys_filter | ListFilterSection | No | Filter options for auth item keys in list UI |
total_count | integer | No | Total number of auth providers |
Last updated on